Unable to install SonarLint in Eclipse (stm32cubeIDE)

Hi,

When I try to install SonarLint 6.0 from Eclipse MarketPlace I get the following error:

Unable to read repository at https://eclipse-uc.sonarlint.org/content.xml.
Certificate chain is not valid

Anyone has an idea how to solve that?

Hello, welcome to the community! And thank you for your question.

The fact that your IDE requests a content.xml leads me to think that its marketplace client is too old: the SonarLint for Eclipse P2 update site is only published in the new compositeContent.xml/compositeArtifacts.xml format.

Could you please make sure that you use the latest version of your IDE, and that it has all latest updates installed?

Additionally, you can try to install SonarLint using the offline P2 update site ZIP.

The Marketplace Client is version 1.9.1.v20210204-1408.

The offline install worked.

Thank you.

This topic was automatically closed 7 days after the last reply. New replies are no longer allowed.